## amlib.ccid
Class Error

    java.lang.Object
      amlib.ccid.Error

    public class Error

extends java.lang.Object

Field Summary
`static int` `READER_CARD_INACTIVE`
`static int` `READER_CMD_BUSY`
`static int` `READER_CMD_FAIL`
`static int` `READER_INVALID_PARAMETER`
`static int` `READER_MEM_ERROR`
`static int` `READER_NO_CARD`
`static int` `READER_NOT_INITIALED`
`static int` `READER_NOT_SUPPORT`
`static int` `READER_PBOC_FAIL`
`static int` `READER_SUCCESSFUL`
`static int` `READER_TIMEOUT`
`static int` `READER_TRANSMIT_ERROR`

Constructor Summary
`Error()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READER_SUCCESSFUL

    public static final int READER_SUCCESSFUL

See Also:
  Constant Field Values

### READER_TRANSMIT_ERROR

    public static final int READER_TRANSMIT_ERROR

See Also:
  Constant Field Values

### READER_CMD_FAIL

    public static final int READER_CMD_FAIL

See Also:
  Constant Field Values

### READER_CMD_BUSY

    public static final int READER_CMD_BUSY

See Also:
  Constant Field Values

### READER_NOT_SUPPORT

    public static final int READER_NOT_SUPPORT

See Also:
  Constant Field Values

### READER_NO_CARD

    public static final int READER_NO_CARD

See Also:
  Constant Field Values

### READER_MEM_ERROR

    public static final int READER_MEM_ERROR

See Also:
  Constant Field Values

### READER_TIMEOUT

    public static final int READER_TIMEOUT

See Also:
  Constant Field Values

### READER_INVALID_PARAMETER

    public static final int READER_INVALID_PARAMETER

See Also:
  Constant Field Values

### READER_NOT_INITIALED

    public static final int READER_NOT_INITIALED

See Also:
  Constant Field Values

### READER_PBOC_FAIL

    public static final int READER_PBOC_FAIL

See Also:
  Constant Field Values

### READER_CARD_INACTIVE

    public static final int READER_CARD_INACTIVE

See Also:
  Constant Field Values

Constructor Detail

### Error

    public Error()